#
# Conditional build:
%bcond_with	verbose		# verbose build (V=1)

# nothing to be placed to debuginfo package
%define		_enable_debug_packages	0

%define		rel	1
%define		basever	5.9.3.2
%define		snap	20210503
%define		pname	rtl8812au
Summary:	Driver for AC1200 (802.11ac) Wireless Dual-Band USB Adapter
Name:		%{pname}%{_alt_kernel}
Version:	%{basever}.%{snap}
Epoch:		2
Release:	%{rel}%{?_pld_builder:@%{_kernel_ver_str}}
License:	GPL
Group:		Base/Kernel
Source0:	https://github.com/gordboy/%{pname}-%{basever}/archive/main/%{pname}-%{basever}-%{snap}.tar.gz
# Source0-md5:	2b10fc9d5b7af7aa6170779e7f1fa858
Patch0:		designated_init.patch
# good luck finding this chip on Realtek website :/
#URL:		http://www.realtek.com.tw/
URL:		https://github.com/gordboy/rtl8812au-5.9.3.2
BuildRequires:	rpmbuild(macros) >= 1.701
%{expand:%buildrequires_kernel kernel%%{_alt_kernel}-module-build >= 3:2.6.20.2}
BuildRoot:	%{tmpdir}/%{pname}-%{version}-root-%(id -u -n)

%description
Driver for AC1200 (802.11ac) Wireless Dual-Band USB Adapter.

%define	kernel_pkg()\
%package -n kernel%{_alt_kernel}-net-rtl8812au\
Summary:	Driver for AC1200 (802.11ac) Wireless Dual-Band USB Adapter\
Release:	%{rel}@%{_kernel_ver_str}\
Group:		Base/Kernel\
Requires(post,postun):	/sbin/depmod\
%requires_releq_kernel\
Requires(postun):	%releq_kernel\
\
%description -n kernel%{_alt_kernel}-net-rtl8812au\
Driver for AC1200 (802.11ac) Wireless Dual-Band USB Adapter\
\
%files -n kernel%{_alt_kernel}-net-rtl8812au\
%defattr(644,root,root,755)\
%doc README.md\
/lib/modules/%{_kernel_ver}/kernel/drivers/net/wireless/*.ko*\
\
%post	-n kernel%{_alt_kernel}-net-rtl8812au\
%depmod %{_kernel_ver}\
\
%postun	-n kernel%{_alt_kernel}-net-rtl8812au\
%depmod %{_kernel_ver}\
%{nil}

%define build_kernel_pkg()\
%{__make} clean KVER=%{_kernel_ver} KSRC=%{_kernelsrcdir}\
%{__make} modules KVER=%{_kernel_ver} KSRC=%{_kernelsrcdir}\
%install_kernel_modules -D installed -m 8812au -d kernel/drivers/net/wireless\
%{nil}

%{expand:%create_kernel_packages}

%prep
%setup -q -n %{pname}-%{basever}-main
%patch0 -p1

%build
%{expand:%build_kernel_packages}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT

cp -a installed/* $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT
%changelog
* Sun Sep 19 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/rtl8812au.git;a=log;h=auto/th/rtl8812au-5.9.3.2.20210503-1

* Tue May 04 2021 Jan Rękorajski <baggins@pld-linux.org> 86b3b0a
- it's 2021...

* Mon May 03 2021 Jan Rękorajski <baggins@pld-linux.org> 75a597a
- fix snap date

* Mon May 03 2021 Jan Rękorajski <baggins@pld-linux.org> 3168385
- updated to latest snapshot with support for kernels up to 5.12

* Thu Feb 25 2021 Jan Rękorajski <baggins@pld-linux.org> ab7adb6
- fix building with kernl 5.11
- rel 2

* Fri Dec 18 2020 Jan Rękorajski <baggins@pld-linux.org> c044590
- up to 5.9.3.2

* Mon Aug 17 2020 Jan Rękorajski <baggins@pld-linux.org> 4f8c5a1
- restore epoch 2, rel 3

* Mon Aug 17 2020 Jan Rękorajski <baggins@pld-linux.org> 33b76a0
- rel 2

* Mon Aug 17 2020 Jan Rękorajski <baggins@pld-linux.org> 597e059
- fix version confiusion

* Sun Aug 16 2020 Jan Rękorajski <baggins@pld-linux.org> f2dafbc
- move snap into version to avoid confisung rpm

* Sun Aug 16 2020 Jan Rękorajski <baggins@pld-linux.org> c865d7e
- updated to latest snapshot

* Sat Apr 04 2020 Jan Rękorajski <baggins@pld-linux.org> e3760a1
- up to 5.6.4.2

* Fri Jul 12 2019 Jan Rękorajski <baggins@pld-linux.org> 4b50b2c
- fix building with kernel 5.2
- rel 3

* Tue May 07 2019 Jan Rękorajski <baggins@pld-linux.org> c54a2f3
- fix building with kernel 5.1
- rel 2

* Sat Mar 09 2019 Jan Rękorajski <baggins@pld-linux.org> eb93d61
- new snap for kernel 5.0

* Wed Jan 02 2019 Jan Rękorajski <baggins@pld-linux.org> a45a5d1
- release 2 (by relup.sh)

* Wed Jan 02 2019 Jan Rękorajski <baggins@pld-linux.org> 63b7820
- epoch 2

* Wed Jan 02 2019 Jan Rękorajski <baggins@pld-linux.org> b9d7d4c
- consistent versioning

* Wed Jan 02 2019 Jan Rękorajski <baggins@pld-linux.org> e6c2ee9
- updated to latest snap with 4.20 kernel support

* Sun Oct 28 2018 Jan Rękorajski <baggins@pld-linux.org> daa6bbd
- epoch 1, rel 2 to fix dependency confusion

* Sat Oct 27 2018 Jan Rękorajski <baggins@pld-linux.org> 643e264
- up to 5.2.20.2

